{* Smarty *}
{if $ltid && $lid}
<h2>{$smarty.const.LN_LINK_MEDIA}:</label></h2>
<p>{$smarty.const.LN_LINK_MEDIA_EXPLANATION}</p>
<table>
<tbody>
	<tr>
		<td><label for="att">{$smarty.const.LN_TITLE}:</label></td>
		<td><input type="text" id="att" name="att" class="long" /></td>
	</tr>
</tbody>
</table>
{* To enable AJAX this div must have an id of 'ajaxmedia' *}
<div id="ajaxmedia"></div>
<h2>{$smarty.const.LN_NEW_MEDIA}:</label></h2>
{/if}
<form enctype="multipart/form-data" action="{$smarty.const.CF_BASE_URL}addmedia{if $ltid && $lid}/{$ltid}/{$lid}{/if}" method="post">
<input type="hidden" name="s" value="1" />
<p>{$smarty.const.LN_ADD_RECORD_EXPLANATION}</p>
<table>
<tbody>
	<tr>
		<td><label for="tr">{$smarty.const.LN_TREE}:</label></td>
		<td>{html_options name="tr" id="tr" options=$trees_list selected=$tree}<input type="text" name="nw" id="nw" value="{$new}" /></td>
	</tr>
	<tr>
		<td><label for="fl">{$smarty.const.LN_FILE} ({$max_file_upload}):</label></td>
		<td><input type="file" name="fl" id="fl" /></td>
	</tr>
	<tr>
		<td><label for="ul">{$smarty.const.LN_URL}:</label></td>
		<td><input type="text" name="ul" id="ul" value="{$url}" class="long" /></td>
	</tr>
	<tr>
		<td><label for="titl">{$smarty.const.LN_TITLE}:</label></td>
		<td><input type="text" name="titl" id="titl" value="{$obje.titl}" class="long" /></td>
	</tr>
	<tr>
		<td><label for="refn">{$smarty.const.LN_REFN}:</label></td>
		<td><input type="text" name="refn" id="refn" value="{$obje.refn}" /></td>
	</tr>
	<tr>
		<td><label for="rin">{$smarty.const.LN_RIN}:</label></td>
		<td><input type="text" name="rin" id="rin" value="{$obje.rin}" /></td>
	</tr>
	<tr>
		<td colspan="2"><label for="nt">{$smarty.const.LN_NOTE}:</label><textarea name="nt" id="nt" class="tinymce long">{$note}</textarea></td>
	</tr>
	<tr>
		<td>{$smarty.const.LN_LINKED_TO}:</td>
		{* To enable AJAX this cell must have an id of "linked" *}
		<td id="linked">
			{if $obje.linked}
				{if $obje.linked.record == 'person'}<input type="checkbox" name="linked[]" id="linked-{$obje.linked.itid}-{$obje.linked.iid}" value="{$obje.linked.itid},{$obje.linked.iid}" checked="checked" /> <label for="linked-{$obje.linked.itid}-{$obje.linked.iid}">{$smarty.const.LN_PERSON}: <a href="{$obje.linked.url}">{$obje.linked.givn} {$obje.linked.spfx_surn}</a> {if $obje.linked.begi or $obje.linked.end}({$obje.linked.begi}-{$obje.linked.end}){/if}</label><br />{/if}
				{if $obje.linked.record == 'fam'}<input type="checkbox" name="linked[]" id="linked-{$obje.linked.ftid}-{$obje.linked.fid}" value="{$obje.linked.ftid},{$obje.linked.fid}" checked="checked" /> <label for="linked-{$obje.linked.ftid}-{$obje.linked.fid}">{$smarty.const.LN_FAMILY}: {if $obje.linked.husb}<a href="{$obje.linked.husb.url}">{$obje.linked.husb.npfx} {$obje.linked.husb.givn} {$obje.linked.husb.spfx_surn} {$obje.linked.husb.nsfx}</a>{/if} & {if $obje.linked.wife}<a href="{$obje.linked.wife.url}">{$obje.linked.wife.npfx} {$obje.linked.wife.givn} {$obje.linked.wife.spfx_surn} {$obje.linked.wife.nsfx}</a>{/if}</label><br />{/if}
				{if $obje.linked.record == 'event'}<input type="checkbox" name="linked[]" id="linked-{$obje.linked.etid}-{$obje.linked.eid}" value="{$obje.linked.etid},{$obje.linked.eid}" checked="checked" /> <label for="linked-{$obje.linked.etid}-{$obje.linked.eid}">{$smarty.const.LN_EVENT}: <a href="{$obje.linked.url}">{$obje.linked.type}: {$obje.linked.value} {$obje.linked.date} {$obje.linked.plac}</a></label><br />{/if}
				{if $obje.linked.record == 'media'}<input type="checkbox" name="linked[]" id="linked-{$obje.linked.otid}-{$obje.linked.oid}" value="{$obje.linked.otid},{$obje.linked.oid}" checked="checked" /> <label for="linked-{$obje.linked.otid}-{$obje.linked.oid}">{$smarty.const.LN_MEDIA}: <a href="{$obje.linked.url}">{$obje.linked.titl}</a></label><br />{/if}
				{if $obje.linked.record == 'note'}<input type="checkbox" name="linked[]" id="linked-{$obje.linked.ntid}-{$obje.linked.nid}" value="{$obje.linked.ntid},{$obje.linked.nid}" checked="checked" /> <label for="linked-{$obje.linked.ntid}-{$obje.linked.nid}">{$smarty.const.LN_NOTE}: <a href="{$obje.linked.url}">{$obje.linked.titl}</a></label><br />{/if}
				{if $obje.linked.record == 'source'}<input type="checkbox" name="linked[]" id="linked-{$obje.linked.stid}-{$obje.linked.sid}" value="{$obje.linked.stid},{$obje.linked.sid}" checked="checked" /> <label for="linked-{$obje.linked.stid}-{$obje.linked.sid}">{$smarty.const.LN_SOURCE}: <a href="{$obje.linked.url}">{$obje.linked.abbr}</a></label><br />{/if}
				{if $obje.linked.record == 'repository'}<input type="checkbox" name="linked[]" id="linked-{$obje.linked.rtid}-{$obje.linked.rid}" value="{$obje.linked.rtid},{$obje.linked.rid}" checked="checked" /> <label for="linked-{$obje.linked.rtid}-{$obje.linked.rid}">{$smarty.const.LN_REPOSITORY}: <a href="{$obje.linked.url}">{$obje.linked.name}</a></label><br />{/if}
			{/if}
		</td>
	</tr>
	<tr>
		<td></td>
		<td><input type="submit" name="submit" value="{$smarty.const.LN_SAVE}" /></td>
	</tr>
</tbody>
</table>
</form>
<h2>{$smarty.const.LN_ADD_LINKED_TO}:</label></h2>
<p>{$smarty.const.LN_LINKED_EXPLANATION}</p>
<table>
<tbody>
	<tr>
		<td><label for="asn">{$smarty.const.LN_SURNAME}:</label></td>
		<td><label for="agv">{$smarty.const.LN_GIVEN_NAMES}:</label></td>
		<td><label for="apl">{$smarty.const.LN_PLACE}:</label></td>
		<td><label for="add">{$smarty.const.LN_BETWEEN}:</label></td>
	</tr>
	<tr>
		<td><input type="text" id="asn" name="asn" /></td>
		<td><input type="text" id="agv" nname="agv" /></td>
		<td><input type="text" id="apl" nname="apl" /></td>
		<td>
			<input type="text" id="add" nname="add" size="4" maxlength="4" />
			<label for="addd">{$smarty.const.LN_AND}:</label>
			<input type="text" id="addd" nname="addd" size="4" maxlength="4" />
		</td>
	</tr>
</tbody>
</table>
{* To enable AJAX this div must have an id of 'ajax' *}
<div id="ajax"></div>