{* Smarty *}
<form action="{$smarty.const.CF_BASE_URL}bookmarks" method="post">
<input type="hidden" name="s" value="1" />
<p>{$smarty.const.LN_BOOKMARKS_EXPLANATION}</p>
{* To enable AJAX this table must have an id of "bookmarks" and each bookmark must be between it's own tbody tags *}
<table id="bookmarks">
<thead>
	<th>{$smarty.const.LN_PAGE}</th>
	<th>{$smarty.const.LN_SORT_ORDER}</th>
	<th></th>
</thead>
<tbody>
	<tr>
		<td><input type="text" name="url[new]" value="{if $new}{$new}{else}http://{/if}" class="long" /></td>
		<td><input type="text" name="st[new]" value="0" class="short" /></td>
		<td></td>
	</tr>
</tbody>
{foreach from=$bookmarks item=bkmk key=k}
<tbody>
	<tr>
		<td>
			{$bkmk.action}:
			{if $bkmk.linked.record == 'person'}<a href="{if $bkmk.action == $smarty.const.LN_PERSON}{$bkmk.linked.url}{elseif $bkmk.action == $smarty.const.LN_PEDIGREE}{$bkmk.linked.pedigree}{elseif $bkmk.action == $smarty.const.LN_ANCESTORS}{$bkmk.linked.ancestors}{elseif $bkmk.action == $smarty.const.LN_DESCENDANTS}{$bkmk.linked.descendants}{elseif $bkmk.action == $smarty.const.LN_DESCENDANTS_MALE||$bkmk.action == $smarty.const.LN_DESCENDANTS_FEMALE}{$bkmk.linked.genealogy}{elseif $bkmk.action == $smarty.const.LN_RELATION}{$smarty.const.CF_BASE_URL}{$k}{/if}">{$bkmk.linked.givn} {$bkmk.linked.spfx_surn}</a> {if $bkmk.linked.begi or $bkmk.linked.end}({$bkmk.linked.begi}-{$bkmk.linked.end}){/if}{if $bkmk.action == $smarty.const.LN_RELATION} &amp; <a href="{$smarty.const.CF_BASE_URL}{$k}">{$bkmk.rest.givn} {$bkmk.rest.spfx_surn}</a> {if $bkmk.rest.begi or $bkmk.rest.end}({$bkmk.rest.begi}-{$bkmk.rest.end}){/if}{/if}{/if}
			{if $bkmk.linked.record == 'event'}<a href="{$bkmk.linked.url}">{$bkmk.linked.type}: {$bkmk.linked.value} {$bkmk.linked.date} {$bkmk.linked.plac}</a>{/if}
			{if $bkmk.linked.record == 'note'}<a href="{$bkmk.linked.url}">{$bkmk.linked.titl}</a>{/if}
			{if $bkmk.linked.record == 'media'}<a href="{$bkmk.linked.url}">{$bkmk.linked.titl}</a>{/if}
			{if $bkmk.linked.record == 'source'}<a href="{$bkmk.linked.url}">{$bkmk.linked.abbr}</a>{/if}
			{if $bkmk.linked.record == 'repository'}<a href="{$bkmk.linked.url}">{$bkmk.linked.name}</a>{/if}
		</td>
		<td><input type="text" name="st[{$k}]" value="{$bkmk.sort}" class="short" /></td>
		<td>
			<a href="{$smarty.const.CF_BASE_URL}deletebookmark/{$k}">{$smarty.const.LN_DELETE}</a>
		</td>
	</tr>
</tbody>
{/foreach}
<tbody>
	<tr>
		<td></td>
		<td><input type="submit" name="submit" value="{$smarty.const.LN_SAVE}" /></td>
		<td></td>
	</tr>
</tbody>
</table>