{* Smarty *}
<form action="{$smarty.const.CF_BASE_GET}" method="get" class="right">
<input type="hidden" name="a" value="{$smarty.const.CF_BASE_LANG}calendarform" />
{$smarty.const.LN_DATE}:
<input type="text" name="yr" value="{$year}" maxlength="4" class="short" />
{html_options name=mt options=$months_list selected=$month}
<input type="text" name="dy" value="{if $day}{$day}{/if}" maxlength="2" class="short" />
<input type="submit" name="submit" value="{$smarty.const.LN_GO}" />
</form>
<p><a href="{$previous.url}">&laquo; {$previous.title}</a> <a href="{$next.url}">{$next.title} &raquo;</a></p>
{if $month && $day}
	{foreach from=$even item=even}
	<p><a href="{$even.url}">{$even.value} {$even.type} {$even.plac}</a></p>
		{if $even.linked.record == 'person'}
			<p>{$even.linked.npfx} {$even.linked.givn} {$even.linked.spfx_surn} {$even.linked.nsfx}</p>
		{else}
			<p>
			{if $even.linked.husb}{$even.linked.husb.npfx} {$even.linked.husb.givn} {$even.linked.husb.spfx_surn} {$even.linked.husb.nsfx}{/if}
			&
			{if $even.linked.wife}{$even.linked.wife.npfx} {$even.linked.wife.givn} {$even.linked.wife.spfx_surn} {$even.linked.wife.nsfx}{/if}
			</p>
		{/if}
	{/foreach}
{elseif $month}
	<table id="calendar">
		<tbody>
			{foreach from=$days item=d key=k}
				<tr>
					<td><h3>{$k}</h3></td>
					{foreach from=$d item=d}
					<td>{if $d.day && $d.day > 0}
						<h2>{if $d.even}<a href="{$smarty.const.CF_BASE_URL}calendar/{$year}/{$month}/{$d.day}">{$d.day}</a>{else}{$d.day}{/if}</h2>
						{foreach from=$d.even item=even}
						<p><a href="{$even.url}">{$even.value} {$even.type} {$even.plac}</a>
							{if $even.linked.record == 'person'}
								<br />{$even.linked.npfx} {$even.linked.givn} {$even.linked.spfx_surn} {$even.linked.nsfx}
							{else}
								<br />
								{if $even.linked.husb}{$even.linked.husb.npfx} {$even.linked.husb.givn} {$even.linked.husb.spfx_surn} {$even.linked.husb.nsfx}{/if}
								&
								{if $even.linked.wife}{$even.linked.wife.npfx} {$even.linked.wife.givn} {$even.linked.wife.spfx_surn} {$even.linked.wife.nsfx}{/if}
							{/if}
						</p>
						{/foreach}
					{/if}</td>
					{/foreach}
				</tr>
			{/foreach}
		</tbody>
	</table>
{else}
	<table id="calendar">
		<tbody>
			{foreach from=$months item=m key=k name=m}
				{if $smarty.foreach.m.iteration == 1||$smarty.foreach.m.iteration == 4||$smarty.foreach.m.iteration == 7||$smarty.foreach.m.iteration == 10}<tr>{/if}
					<td><h3><a href="{$smarty.const.CF_BASE_URL}calendar/{$year}/{$smarty.foreach.m.iteration}">{$k}</a></h3>
						<table>
							{foreach from=$m item=d key=j}
								<tr>
									<td>{$j}</td>
									{foreach from=$d item=d}
									<td>{if $d.day && $d.day > 0}{if $d.even}<a href="{$smarty.const.CF_BASE_URL}calendar/{$year}/{$smarty.foreach.m.iteration}/{$d.day}">{$d.day}</a>{else}{$d.day}{/if}{/if}</td>
									{/foreach}
								</tr>
							{/foreach}
						</table>
					</td>
				{if $smarty.foreach.m.iteration == 3||$smarty.foreach.m.iteration == 6||$smarty.foreach.m.iteration == 9||$smarty.foreach.m.iteration == 12}</tr>{/if}
			{/foreach}
		</tbody>
	</table>
{/if}
<p><a href="{$previous.url}">&laquo; {$previous.title}</a> <a href="{$next.url}">{$next.title} &raquo;</a></p>
